package com.gh.gamecenter.gamecollection.choose

import androidx.lifecycle.MutableLiveData
import com.gh.gamecenter.core.utils.SingletonHolder
import com.gh.gamecenter.entity.GameEntity

class ChooseGamesRepository private constructor() {

    val chooseGamesLiveData: MutableLiveData<ArrayList<GameEntity>> = MutableLiveData()

    val deleteOrAddGameLiveData: MutableLiveData<GameEntity> = MutableLiveData()

    companion object : SingletonHolder<ChooseGamesRepository>(::ChooseGamesRepository)
}